aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-10-21 08:37:00 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-21 09:43:54 +0000
commit6c2fb0dcea181e9d268e36fe5fa963951f02d852 (patch)
tree6293b564e217faca684fe57542ce09dee7810380 /main
parentd35b4d1f387f6d2aa81c0b4f6e32b2adae4456ae (diff)
downloadaports-6c2fb0dcea181e9d268e36fe5fa963951f02d852.tar.gz
aports-6c2fb0dcea181e9d268e36fe5fa963951f02d852.tar.bz2
aports-6c2fb0dcea181e9d268e36fe5fa963951f02d852.tar.xz
main/wget: fix building of documentation
Diffstat (limited to 'main')
-rw-r--r--main/wget/APKBUILD23
-rw-r--r--main/wget/wget-1.14-manpage-tex5.patch55
-rw-r--r--main/wget/wget-1.14-texi2pod_error_perl518.patch25
3 files changed, 98 insertions, 5 deletions
diff --git a/main/wget/APKBUILD b/main/wget/APKBUILD
index 1c239821e7..d1b835b628 100644
--- a/main/wget/APKBUILD
+++ b/main/wget/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Carlo Landmeter <clandmeter@gmail.com>
pkgname=wget
pkgver=1.14
-pkgrel=0
+pkgrel=1
pkgdesc="A network utility to retrieve files from the Web"
url="http://www.gnu.org/software/wget/wget.html"
arch="all"
@@ -11,12 +11,19 @@ depends=""
makedepends="openssl-dev"
subpackages="$pkgname-doc"
install="wget.post-deinstall"
-source="ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz"
+source="ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz
+ wget-1.14-manpage-tex5.patch
+ wget-1.14-texi2pod_error_perl518.patch"
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
update_config_sub || return 1
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
}
build() {
@@ -43,6 +50,12 @@ package() {
return 0
}
-md5sums="12edc291dba8127f2e9696e69f36299e wget-1.14.tar.gz"
-sha256sums="f3a6898e3a765bb94435b04a6668db9e5d19b3e90e0c69a503a2773ae936c269 wget-1.14.tar.gz"
-sha512sums="e01291318b44ee1022e39589933411c453372e8026b1641dd7caa1adb132c94bdcf6f6ff291f4b6dc2b46eb0e48c80c60231cd86247db17954ee73053422cb27 wget-1.14.tar.gz"
+md5sums="12edc291dba8127f2e9696e69f36299e wget-1.14.tar.gz
+3f9ccb8e911282bed0f8e0331c423aa9 wget-1.14-manpage-tex5.patch
+91c9edc2f49b5ec8cb05f66d5e948327 wget-1.14-texi2pod_error_perl518.patch"
+sha256sums="f3a6898e3a765bb94435b04a6668db9e5d19b3e90e0c69a503a2773ae936c269 wget-1.14.tar.gz
+14b68aedb9f45dc8098c97b9213c490e7696cf39cc20f59cc19f58af1cef911b wget-1.14-manpage-tex5.patch
+3396b2bbb23daf6df7fb028807eabca7529a570102942656d9586ffea1d896a6 wget-1.14-texi2pod_error_perl518.patch"
+sha512sums="e01291318b44ee1022e39589933411c453372e8026b1641dd7caa1adb132c94bdcf6f6ff291f4b6dc2b46eb0e48c80c60231cd86247db17954ee73053422cb27 wget-1.14.tar.gz
+60396d88e75352507b1c2574bffe2c79c9d8aa105ef985722c8794b99e8ae39bdbef40e424f0854b26614bc0729b8954f94ecb980e9f5ac53cad3e0c17ab488c wget-1.14-manpage-tex5.patch
+f6c46bde6e7346b0f857c080cc00b217d56cd09b84a0943b72c9505d928d984fa6e0a60ad089edbe526ac432b28eb67e22f4b34444328494be8967078d4527eb wget-1.14-texi2pod_error_perl518.patch"
diff --git a/main/wget/wget-1.14-manpage-tex5.patch b/main/wget/wget-1.14-manpage-tex5.patch
new file mode 100644
index 0000000000..49728fcfa9
--- /dev/null
+++ b/main/wget/wget-1.14-manpage-tex5.patch
@@ -0,0 +1,55 @@
+From a2a34ad8e09117041761fa96830f289aa6e67042 Mon Sep 17 00:00:00 2001
+From: Tomas Hozza <thozza@redhat.com>
+Date: Fri, 22 Feb 2013 12:29:37 +0100
+Subject: [PATCH] Fix @itemx issue when building doc
+
+@itemx should be used ONLY for second and subsequent item(s).
+
+Signed-off-by: Tomas Hozza <thozza@redhat.com>
+---
+ doc/wget.texi | 8 ++++----
+ 1 file changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/doc/wget.texi b/doc/wget.texi
+index c1fc82f..3768156 100644
+--- a/doc/wget.texi
++++ b/doc/wget.texi
+@@ -876,7 +876,7 @@ recommendation to block many unrelated users from a web site due to the
+ actions of one.
+
+ @cindex proxy
+-@itemx --no-proxy
++@item --no-proxy
+ Don't use proxies, even if the appropriate @code{*_proxy} environment
+ variable is defined.
+
+@@ -977,7 +977,7 @@ are outside the range of @sc{ascii} characters (that is, greater than
+ whose encoding does not match the one used locally.
+
+ @cindex IPv6
+-@itemx -4
++@item -4
+ @itemx --inet4-only
+ @itemx -6
+ @itemx --inet6-only
+@@ -3094,7 +3094,7 @@ display properly---the same as @samp{-p}.
+ Change setting of passive @sc{ftp}, equivalent to the
+ @samp{--passive-ftp} option.
+
+-@itemx password = @var{string}
++@item password = @var{string}
+ Specify password @var{string} for both @sc{ftp} and @sc{http} file retrieval.
+ This command can be overridden using the @samp{ftp_password} and
+ @samp{http_password} command for @sc{ftp} and @sc{http} respectively.
+@@ -3605,7 +3605,7 @@ In addition to the environment variables, proxy location and settings
+ may be specified from within Wget itself.
+
+ @table @samp
+-@itemx --no-proxy
++@item --no-proxy
+ @itemx proxy = on/off
+ This option and the corresponding command may be used to suppress the
+ use of proxy, even if the appropriate environment variables are set.
+--
+1.8.1.2
+
diff --git a/main/wget/wget-1.14-texi2pod_error_perl518.patch b/main/wget/wget-1.14-texi2pod_error_perl518.patch
new file mode 100644
index 0000000000..13427a05c4
--- /dev/null
+++ b/main/wget/wget-1.14-texi2pod_error_perl518.patch
@@ -0,0 +1,25 @@
+From 7f43748544f26008d0dd337704f02a6ed3200aaf Mon Sep 17 00:00:00 2001
+From: Dave Reisner <dreisner@archlinux.org>
+Date: Mon, 17 Jun 2013 23:31:46 +0530
+Subject: [PATCH] Fix error in texi2pod intriduced with Perl 5.18
+
+---
+ doc/texi2pod.pl | 2 +-
+ 1 files changed, 1 insertions(+), 1 deletion(-)
+
+diff --git a/doc/texi2pod.pl b/doc/texi2pod.pl
+index 86c4b18..9db6de1 100755
+--- a/doc/texi2pod.pl
++++ b/doc/texi2pod.pl
+@@ -291,7 +291,7 @@ while(<$inf>) {
+ if (defined $1) {
+ my $thing = $1;
+ if ($ic =~ /\@asis/) {
+- $_ = "\n=item $thing\n";
++ $_ = "\n=item C<$thing>\n";
+ } else {
+ # Entity escapes prevent munging by the <> processing below.
+ $_ = "\n=item $ic\&LT;$thing\&GT;\n";
+--
+1.8.1.4
+